Bug 22050 - Building of kde-i18n-2.0.1-1.src.rpm on a RH62 box seems to cause problems
Building of kde-i18n-2.0.1-1.src.rpm on a RH62 box seems to cause problems
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kde-i18n (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-11 05:00 EST by ted
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-13 09:25:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ted 2000-12-11 05:00:34 EST
Hello!

I am trying to build kde-i18n-2.0.1-1 from the source on my RH62 box
(i386). It seems that some things are not clearly recognised and I am not
sure of the validity of the obtained .noarch rpms.

make[5]: Entering directory
`/usr/src/redhat/BUILD/kde-i18n-2.0.1/fr/docs/kdeutils/ark'
Warning: No catalogues were found during installation!
jade -c /usr/share/apps/ksgmltools/catalog -t sgml -d
/usr/share/apps/ksgmltools/stylesheets/kde.dsl#html .././index.docbook
jade:/usr/lib/sgml/dbcent.mod:54:0:E: cannot open
"/usr/lib/sgml/iso-amsa.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:61:0:E: cannot open
"/usr/lib/sgml/iso-amsb.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:68:0:E: cannot open
"/usr/lib/sgml/iso-amsc.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:75:0:E: cannot open
"/usr/lib/sgml/iso-amsn.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:82:0:E: cannot open
"/usr/lib/sgml/iso-amso.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:89:0:E: cannot open
"/usr/lib/sgml/iso-amsr.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:96:0:E: cannot open
"/usr/lib/sgml/iso-box.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:103:0:E: cannot open
"/usr/lib/sgml/iso-cyr1.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:110:0:E: cannot open
"/usr/lib/sgml/iso-cyr2.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:117:0:E: cannot open
"/usr/lib/sgml/iso-dia.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:124:0:E: cannot open
"/usr/lib/sgml/iso-grk1.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:131:0:E: cannot open
"/usr/lib/sgml/iso-grk2.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:138:0:E: cannot open
"/usr/lib/sgml/iso-grk3.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:145:0:E: cannot open
"/usr/lib/sgml/iso-grk4.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:152:0:E: cannot open
"/usr/lib/sgml/iso-lat1.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:159:0:E: cannot open
"/usr/lib/sgml/iso-lat2.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:166:0:E: cannot open
"/usr/lib/sgml/iso-num.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:173:0:E: cannot open
"/usr/lib/sgml/iso-pub.gml" (No such file or directory)
jade:/usr/lib/sgml/dbcent.mod:180:0:E: cannot open
"/usr/lib/sgml/iso-tech.gml" (No such file or directory)
jade:.././index.docbook:29:19:E: general entity "nbsp" not defined and no
default entity
jade:/usr/share/apps/ksgmltools/dtd/../entities/license-links.docbook:2:53:E:
general entity "quot" not defined and no default entity
jade:E: cannot open "/usr/lib/sgml/html/docbook.dsl" (No such file or
directory)
jade:E: specification document does not have the DSSSL architecture as a
base architecture
jade:/usr/share/apps/ksgmltools/stylesheets/kde.dsl:444:4:E: mode
"manifest" not defined
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:424:5:E:
"element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:427:4:E:
"empty-element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:414:5:E:
"element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:416:4:E:
"element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:418:3:E: mode
"title-mode" not defined
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:408:5:E:
"element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:411:4:E:
"empty-element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:403:5:E:
"element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:395:5:E:
"element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:398:4:E:
"empty-element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:389:5:E:
"element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:392:4:E:
"empty-element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:317:7:E:
"element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:320:6:E:
"empty-element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-l10n.dsl:277:9:E: reference
to undefined variable "$lang$"
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:308:5:E:
"element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:311:4:E:
"empty-element" is not the name of any flow object class
jade:/usr/share/apps/ksgmltools/stylesheets/kde-ttlpg.dsl:302:5:E:
"element" is not the name of any flow object class



I checked in /usr/lib/sgml/ and I have:

[ase@lorient sgml]$ ls -la
total 524
drwxr-xr-x    7 root     root         4096 May 19  2000 .
drwxr-xr-x   73 root     root        36864 Dec  8 11:08 ..
-rw-r--r--    1 root     root        11912 May 19  2000 CATALOG
-rwxr-xr-x    1 root     root         4310 May  5  2000 ISOamsa
-rwxr-xr-x    1 root     root         3262 May  5  2000 ISOamsb
-rwxr-xr-x    1 root     root         1080 May  5  2000 ISOamsc
-rwxr-xr-x    1 root     root         4474 May  5  2000 ISOamsn
-rwxr-xr-x    1 root     root         1593 May  5  2000 ISOamso
-rwxr-xr-x    1 root     root         6036 May  5  2000 ISOamsr
-rwxr-xr-x    1 root     root         3379 May  5  2000 ISObox
-rwxr-xr-x    1 root     root         4324 May  5  2000 ISOcyr1
-rwxr-xr-x    1 root     root         1938 May  5  2000 ISOcyr2
-rwxr-xr-x    1 root     root         1071 May  5  2000 ISOdia
-rwxr-xr-x    1 root     root         3204 May  5  2000 ISOgrk1
-rwxr-xr-x    1 root     root         1755 May  5  2000 ISOgrk2
-rwxr-xr-x    1 root     root         2885 May  5  2000 ISOgrk3
-rwxr-xr-x    1 root     root         2983 May  5  2000 ISOgrk4
-rwxr-xr-x    1 root     root         4296 May  5  2000 ISOlat1
-rwxr-xr-x    1 root     root         7389 May  5  2000 ISOlat2
-rwxr-xr-x    1 root     root         4809 May  5  2000 ISOnum
-rwxr-xr-x    1 root     root         5538 May  5  2000 ISOpub
-rwxr-xr-x    1 root     root         4297 May  5  2000 ISOtech
-rw-r--r--    1 root     root        14436 May  5  2000 cals-tbl.dtd
drwxr-xr-x    2 root     root         4096 Feb 16  2000 cdtd    
...

I don't have the files specified. Could you please tell me if I need to
install a specific package or if something is wrong with the .src.rpm.

Thanks in advance

		Daniel

PS: By the way, I am french and all the languages are build correctly
except French...
Comment 1 Ngo Than 2000-12-28 15:16:33 EST
It' fixed in the new kde-i18n-2.0.20001223-1 from rawhide.

Note You need to log in before you can comment on or make changes to this bug.